com.lowagie.text

## Class PageSize

- java.lang.Object
- - com.lowagie.text.PageSize

    public class PageSize
    extends java.lang.Object

The `PageSize`-object contains a number of rectangles representing the most common paper sizes.

See Also:
  `Rectangle`

### Field Summary

Fields
`static Rectangle` `_11X17` This is the 11x17 format
`static Rectangle` `A0` This is the a0 format
`static Rectangle` `A1` This is the a1 format
`static Rectangle` `A10` This is the a10 format
`static Rectangle` `A2` This is the a2 format
`static Rectangle` `A3` This is the a3 format
`static Rectangle` `A4` This is the a4 format
`static Rectangle` `A5` This is the a5 format
`static Rectangle` `A6` This is the a6 format
`static Rectangle` `A7` This is the a7 format
`static Rectangle` `A8` This is the a8 format
`static Rectangle` `A9` This is the a9 format
`static Rectangle` `ARCH_A` This is the archA format
`static Rectangle` `ARCH_B` This is the archB format
`static Rectangle` `ARCH_C` This is the archC format
`static Rectangle` `ARCH_D` This is the archD format
`static Rectangle` `ARCH_E` This is the archE format
`static Rectangle` `B0` This is the b0 format
`static Rectangle` `B1` This is the b1 format
`static Rectangle` `B10` This is the b10 format
`static Rectangle` `B2` This is the b2 format
`static Rectangle` `B3` This is the b3 format
`static Rectangle` `B4` This is the b4 format
`static Rectangle` `B5` This is the b5 format
`static Rectangle` `B6` This is the b6 format
`static Rectangle` `B7` This is the b7 format
`static Rectangle` `B8` This is the b8 format
`static Rectangle` `B9` This is the b9 format
`static Rectangle` `CROWN_OCTAVO` This is the Crown Octavo format
`static Rectangle` `CROWN_QUARTO` This is the Crown Quarto format
`static Rectangle` `DEMY_OCTAVO` This is the Demy Octavo format
`static Rectangle` `DEMY_QUARTO` This is the Demy Quarto format.
`static Rectangle` `EXECUTIVE` This is the executive format
`static Rectangle` `FLSA` This is the American Foolscap format
`static Rectangle` `FLSE` This is the European Foolscap format
`static Rectangle` `HALFLETTER` This is the halfletter format
`static Rectangle` `ID_1` This is the ISO 7810 ID-1 format (85.60 x 53.98 mm or 3.370 x 2.125 inch)
`static Rectangle` `ID_2` This is the ISO 7810 ID-2 format (A7 rotated)
`static Rectangle` `ID_3` This is the ISO 7810 ID-3 format (B7 rotated)
`static Rectangle` `LARGE_CROWN_OCTAVO` This is the Large Crown Octavo format
`static Rectangle` `LARGE_CROWN_QUARTO` This is the Large Crown Quarto format
`static Rectangle` `LEDGER` This is the ledger format
`static Rectangle` `LEGAL` This is the legal format
`static Rectangle` `LETTER` This is the letter format
`static Rectangle` `NOTE` This is the note format
`static Rectangle` `PENGUIN_LARGE_PAPERBACK` This is the Penguin large paperback format.
`static Rectangle` `PENGUIN_SMALL_PAPERBACK` This is the Pengiun small paperback format.
`static Rectangle` `POSTCARD` This is the postcard format
`static Rectangle` `ROYAL_OCTAVO` This is the Royal Octavo format.
`static Rectangle` `ROYAL_QUARTO` This is the Royal Quarto format.
`static Rectangle` `SMALL_PAPERBACK` This is the small paperback format.
`static Rectangle` `TABLOID` This is the tabloid format

### Constructor Summary

Constructors
Constructor and Description
`PageSize()`

### Method Summary

Methods
`static Rectangle` `getRectangle(java.lang.String name)` This method returns a Rectangle based on a String.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LETTER

    public static final Rectangle LETTER

This is the letter format

#### NOTE

    public static final Rectangle NOTE

This is the note format

#### LEGAL

    public static final Rectangle LEGAL

This is the legal format

#### TABLOID

    public static final Rectangle TABLOID

This is the tabloid format

#### EXECUTIVE

    public static final Rectangle EXECUTIVE

This is the executive format

#### POSTCARD

    public static final Rectangle POSTCARD

This is the postcard format

#### A0

    public static final Rectangle A0

This is the a0 format

#### A1

    public static final Rectangle A1

This is the a1 format

#### A2

    public static final Rectangle A2

This is the a2 format

#### A3

    public static final Rectangle A3

This is the a3 format

#### A4

    public static final Rectangle A4

This is the a4 format

#### A5

    public static final Rectangle A5

This is the a5 format

#### A6

    public static final Rectangle A6

This is the a6 format

#### A7

    public static final Rectangle A7

This is the a7 format

#### A8

    public static final Rectangle A8

This is the a8 format

#### A9

    public static final Rectangle A9

This is the a9 format

#### A10

    public static final Rectangle A10

This is the a10 format

#### B0

    public static final Rectangle B0

This is the b0 format

#### B1

    public static final Rectangle B1

This is the b1 format

#### B2

    public static final Rectangle B2

This is the b2 format

#### B3

    public static final Rectangle B3

This is the b3 format

#### B4

    public static final Rectangle B4

This is the b4 format

#### B5

    public static final Rectangle B5

This is the b5 format

#### B6

    public static final Rectangle B6

This is the b6 format

#### B7

    public static final Rectangle B7

This is the b7 format

#### B8

    public static final Rectangle B8

This is the b8 format

#### B9

    public static final Rectangle B9

This is the b9 format

#### B10

    public static final Rectangle B10

This is the b10 format

#### ARCH_E

    public static final Rectangle ARCH_E

This is the archE format

#### ARCH_D

    public static final Rectangle ARCH_D

This is the archD format

#### ARCH_C

    public static final Rectangle ARCH_C

This is the archC format

#### ARCH_B

    public static final Rectangle ARCH_B

This is the archB format

#### ARCH_A

    public static final Rectangle ARCH_A

This is the archA format

#### FLSA

    public static final Rectangle FLSA

This is the American Foolscap format

#### FLSE

    public static final Rectangle FLSE

This is the European Foolscap format

#### HALFLETTER

    public static final Rectangle HALFLETTER

This is the halfletter format

#### _11X17

    public static final Rectangle _11X17

This is the 11x17 format

#### ID_1

    public static final Rectangle ID_1

This is the ISO 7810 ID-1 format (85.60 x 53.98 mm or 3.370 x 2.125 inch)

#### ID_2

    public static final Rectangle ID_2

This is the ISO 7810 ID-2 format (A7 rotated)

#### ID_3

    public static final Rectangle ID_3

This is the ISO 7810 ID-3 format (B7 rotated)

#### LEDGER

    public static final Rectangle LEDGER

This is the ledger format

#### CROWN_QUARTO

    public static final Rectangle CROWN_QUARTO

This is the Crown Quarto format

#### LARGE_CROWN_QUARTO

    public static final Rectangle LARGE_CROWN_QUARTO

This is the Large Crown Quarto format

#### DEMY_QUARTO

    public static final Rectangle DEMY_QUARTO

This is the Demy Quarto format.

#### ROYAL_QUARTO

    public static final Rectangle ROYAL_QUARTO

This is the Royal Quarto format.

#### CROWN_OCTAVO

    public static final Rectangle CROWN_OCTAVO

This is the Crown Octavo format

#### LARGE_CROWN_OCTAVO

    public static final Rectangle LARGE_CROWN_OCTAVO

This is the Large Crown Octavo format

#### DEMY_OCTAVO

    public static final Rectangle DEMY_OCTAVO

This is the Demy Octavo format

#### ROYAL_OCTAVO

    public static final Rectangle ROYAL_OCTAVO

This is the Royal Octavo format.

#### SMALL_PAPERBACK

    public static final Rectangle SMALL_PAPERBACK

This is the small paperback format.

#### PENGUIN_SMALL_PAPERBACK

    public static final Rectangle PENGUIN_SMALL_PAPERBACK

This is the Pengiun small paperback format.

#### PENGUIN_LARGE_PAPERBACK

    public static final Rectangle PENGUIN_LARGE_PAPERBACK

This is the Penguin large paperback format.

### Constructor Detail

#### PageSize

    public PageSize()

### Method Detail

#### getRectangle

    public static Rectangle getRectangle(java.lang.String name)

This method returns a Rectangle based on a String. Possible values are the the names of a constant in this class (for instance "A4", "LETTER",...) or a value like "595 842"